summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2015-12-08 08:37:28 +0100
committerLars Wendler <polynomial-c@gentoo.org>2015-12-08 08:38:15 +0100
commit0bb4bf99e8d41ad24357121aae3b3ed883ec0e36 (patch)
treeb4fd650918e7ad2566a4c031c237465df77f54ac /app-admin
parentprofiles: Set python_single_target for dev-util/devhelp (diff)
downloadgentoo-0bb4bf99e8d41ad24357121aae3b3ed883ec0e36.tar.gz
gentoo-0bb4bf99e8d41ad24357121aae3b3ed883ec0e36.tar.bz2
gentoo-0bb4bf99e8d41ad24357121aae3b3ed883ec0e36.zip
app-admin/keepassx: Bump to version 2.0
Package-Manager: portage-2.2.26 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
Diffstat (limited to 'app-admin')
-rw-r--r--app-admin/keepassx/Manifest1
-rw-r--r--app-admin/keepassx/keepassx-2.0.ebuild36
2 files changed, 37 insertions, 0 deletions
diff --git a/app-admin/keepassx/Manifest b/app-admin/keepassx/Manifest
index af1ab374b50..eb5acd160dd 100644
--- a/app-admin/keepassx/Manifest
+++ b/app-admin/keepassx/Manifest
@@ -1,3 +1,4 @@
DIST keepassx-0.4.3.tar.gz 1368766 SHA256 cd901a0611ce57e62cf6df7eeeb1b690b5232302bdad8626994eb54adcfa1e85 SHA512 8ce1bc252694e11a8b0da94bb00a4e5ca2837fe099f2f992aa9a93bacc4d94f33970cec687bd73a7a7762e86220a0541fe85a6708a2d4ad1bb3aef5f19935ccc WHIRLPOOL e2f54832eeb8eb3c7b7874e2deb97843a9ef1a92f027ec540fd197cf850d313be5d8959595e122b24a286973747d3b71bd33537de601b31ba3d45a16a095747b
+DIST keepassx-2.0.tar.gz 1524638 SHA256 0eb40fac3a44d8283dfc1ee28cc6de5c660b22ab975472de82c2b04675c822e6 SHA512 6c8b8ee6a22cab5da5f262b281ed914e9cce99607312124b068a3386d9da560a3584acea4ce1be6700e40087febcc269273ab67ea472b99e6d3f75048d164788 WHIRLPOOL d325c491687b70e256f9312548451250dadfdda0c659b9b16a6fd8e0d39bdf5ced905e11646730619cf217e3afe3ad885428bf4cff3204dcf68bdd33510cb467
DIST keepassx-2.0_alpha6.tar.gz 1366929 SHA256 592f9995b13c4f84724fb24a0078162246397eedccd467daaf0fd3608151f2b0 SHA512 76cf2e9617217b4f38ecd0027a88768c5a06c51e796f32e4939ba3a4506583ce6793c107293ee87c0ff1d18eaf6030096cab4da644cf0bef35ff09d5a46cd5ca WHIRLPOOL 37283e66bb285656ff2992552ce6e745603f27685a8a2e87fec42e391b484b2bf1697da011ec0ef86ff1ba5053abd803f38ad8ba77f0d295d901bd5ecf38d1e3
DIST keepassx-2.0_beta2.tar.gz 1479599 SHA256 5828261226c441856bd12e2f4f73af1a5fc3b1981b2cff40fbc2403e344f4e52 SHA512 e63431a55536fccc8dd4e441863081f533cac6608ce393ad4d641fc57fce815232aff1fdf777374464b3ad6bedb16392d578ff39bf9230d4cb0cd62b11869a5f WHIRLPOOL 69e1de023b5090640747b332642559ea0d0fdbe04bffdf4805475f29eb100c2e8d2744c3b9222c3c63a938e33e470ad9b5a6812d09c249eb09af7006728c7866
diff --git a/app-admin/keepassx/keepassx-2.0.ebuild b/app-admin/keepassx/keepassx-2.0.ebuild
new file mode 100644
index 00000000000..dba04533f09
--- /dev/null
+++ b/app-admin/keepassx/keepassx-2.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit cmake-utils vcs-snapshot
+
+DESCRIPTION="Qt password manager compatible with its Win32 and Pocket PC versions"
+HOMEPAGE="http://www.keepassx.org/"
+SRC_URI="https://github.com/${PN}/${PN}/archive/${PV/_/-}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="|| ( GPL-2 GPL-3 ) BSD GPL-2 LGPL-2.1 LGPL-3+ CC0-1.0 public-domain || ( LGPL-2.1 GPL-3 )"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+DEPEND="
+ dev-libs/libgcrypt:0=
+ dev-qt/qtcore:4
+ dev-qt/qtgui:4
+ dev-qt/qttest:4
+ sys-libs/zlib
+ x11-libs/libX11
+ x11-libs/libXtst
+"
+RDEPEND="${DEPEND}"
+
+DOCS=(CHANGELOG)
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_with test TESTS)
+ )
+ cmake-utils_src_configure
+}